#include "aes.h"
#include "nls.h"
#include "gem_rsc.h"
#define rs_fstr rs_frstr
#include "gem_rsc.rsh"
#include "s_endian.h"

OBJECT **aes_rsc_tree = (OBJECT **)rs_trindex;
const char *const *aes_rsc_string = rs_frstr;
const BITBLK *const *aes_rsc_bitblk = rs_frimg;

/* Strings for the alert box */
static char msg_str[MAX_LINENUM][MAX_LINELEN+1];
static char msg_but[MAX_BUTNUM][MAX_BUTLEN+1];

static nls_domain aes_domain = { "aes", NULL, CHARSET_ST, NULL };

_BOOL rsc_read(void)
{
	OBJECT *tree;
	int i;
	
	/* Copy data from ROM to RAM: */
	memcpy(rs_object, rs_object_rom, sizeof(rs_object));
	memcpy(rs_tedinfo, rs_tedinfo_rom, sizeof(rs_tedinfo));

	/* translate strings in objects */
	xlate_obj_array(&aes_domain, rs_object, NUM_OBS, FALSE);

	/*
	 * Set up message & button buffers for form_alert().
	 */
	tree = rs_trindex[DIALERT];
	for (i = 0; i < MAX_LINENUM; i++)
		tree[MSGOFF + i].ob_spec.free_string = msg_str[i];
	for (i = 0; i < MAX_BUTNUM; i++)
		tree[BUTOFF + i].ob_spec.free_string = msg_but[i];
	return TRUE;
}


void rsc_free(void)
{
}


/* Get a string from the GEM-RSC */
char *rs_str(_UWORD stnum)
{
	return nls_dgettext(&aes_domain, aes_rsc_string[stnum]);
}
